## extra-cmake-modules 5.74.0

=== debian/changelog ===
extra-cmake-modules (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:05 +0100

extra-cmake-modules (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:55:39 +0100

extra-cmake-modules (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)
  * Drop Recommends: qt5-default

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:29:50 +0100

extra-cmake-modules (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:06 +0100

extra-cmake-modules (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update build deps to work with sphinx 2.4

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:29:40 +0100
