=== debian/changelog ===
extra-cmake-modules (5.78.0-3) unstable; urgency=medium

  * Cherry-pick upstream fix for tar invocation in app templates.

 -- Norbert Preining <norbert@preining.info>  Fri, 22 Jan 2021 22:43:12 +0900

extra-cmake-modules (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:17 +0900

extra-cmake-modules (5.78.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch to section devel (Closes: #978006).

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Remove patch tar_command_reproducible.diff, included upstream.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

extra-cmake-modules (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:32 +0900

extra-cmake-modules (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Add myself to Uploaders.
  * Update patches.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

extra-cmake-modules (5.74.0-3) unstable; urgency=medium

  * Team upload to unstable.
  * Add patch to make KDEPackageAppTemplates to create reproducible
    tarball (Closes:#828021).

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:11:24 +0200

extra-cmake-modules (5.74.0-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Move documentation own extra-cmake-modules-doc.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 19:14:46 +0200

extra-cmake-modules (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update repository related entries to metadata file.
  * Update Bug-* entries to metadata file.
  * replace dh_linktree with dh_sphinxdoc.
  * Cleanup using for Depends variables.
  * Register documentation with doc-base.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:43:46 +0200

extra-cmake-modules (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update all instances of source to use new invent.kde.org
    address.
    - Update control Homepage as projects.kde.org is dead.
    - Update copyright Source to point to invent.
    - Update upstream metadata to point to invent.
  * Update jquery path in linktrees to reflect latest
    release path change. Set version in control to make
    sure this change does not impact earlier versions.
    Thanks Norbert Preining.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:26 +0200

extra-cmake-modules (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.69.0).
  * Remove unused lintian-override file.
  * Add Rules-Requires-Root: no.
  * Bump compat level to 13.
  * Fix debian-rules-uses-as-needed-linker-flag.
  * Adding sphinxcontrib to B-D.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:53:18 +0200
