## extra-cmake-modules 5.80.0

=== debian/changelog ===
extra-cmake-modules (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:05:56 +0000

extra-cmake-modules (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)
  * Drop included upstream-0fb09332-fix-tar-arguments-for-
    apptemplates.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:25 +0000
