=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qtdeclarative5-dev,
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Build-Depends-Indep: dh-sequence-sphinxdoc
+Build-Depends-Indep: dh-sequence-sphinxdoc,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
@@ -26,7 +26,7 @@
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
