=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
                libjs-underscore <!nodoc>,
@@ -13,12 +13,9 @@
                python3-setuptools <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>,
-               qtdeclarative5-dev,
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
-Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.5.1
+               python3-sphinxcontrib.serializinghtml <!nodoc>
+Build-Depends-Indep: dh-sequence-sphinxdoc
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
@@ -26,7 +23,7 @@
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
@@ -40,7 +37,7 @@
  downstream users.
 Breaks: libkf5package-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
-        libkf5runner-dev (<< 5.54),
+        libkf5runner-dev (<< 5.54)
 
 Package: extra-cmake-modules-doc
 Build-Profiles: <!nodoc>
