=== tests/ECMGenerateExportHeaderTest/consumer/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,26 @@
 
 # for each API element test their visibility to the compiler and if a warning is emitted
 set(_code "Enum enumerator = Enumerator_deprecatedAt2_0;")
-testAPI(_code DEPRECATED_AT 2.0 BUILD_TIME_ONLY_DISABLABLE NO_WARNING)
+testAPI(_code DEPRECATED_AT 2.0 CXX_STANDARD 11 BUILD_TIME_ONLY_DISABLABLE NO_WARNING)
+
+set(_code "Enum enumerator = Enumerator_deprecatedAt2_0;")
+# we do not yet support enumerator warnings with MSVC
+if(MSVC)
+    testAPI(_code DEPRECATED_AT 2.0 CXX_STANDARD 17 BUILD_TIME_ONLY_DISABLABLE NO_WARNING)
+else()
+    testAPI(_code DEPRECATED_AT 2.0 CXX_STANDARD 17 BUILD_TIME_ONLY_DISABLABLE)
+endif()
+
+set(_code "Enum enumerator = Enumerator_deprecatedAt2_12;")
+testAPI(_code DEPRECATED_AT 2.12 CXX_STANDARD 11 NO_WARNING)
+
+set(_code "Enum enumerator = Enumerator_deprecatedAt2_12;")
+# we do not yet support enumerator warnings with MSVC
+if(MSVC)
+    testAPI(_code DEPRECATED_AT 2.12 CXX_STANDARD 17 NO_WARNING)
+else()
+    testAPI(_code DEPRECATED_AT 2.12 CXX_STANDARD 17)
+endif()
 
 set(_code "Enum enumerator = Enumerator_not_deprecated;")
 testAPI(_code)
