=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
@@ -13,17 +13,18 @@
                python3-setuptools <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>
-Build-Depends-Indep: dh-sequence-sphinxdoc
+               python3-sphinxcontrib.serializinghtml <!nodoc>,
+               qttools5-dev-tools,
+Build-Depends-Indep: dh-sequence-sphinxdoc,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
@@ -37,7 +38,7 @@
  downstream users.
 Breaks: libkf5package-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
-        libkf5runner-dev (<< 5.54)
+        libkf5runner-dev (<< 5.54),
 
 Package: extra-cmake-modules-doc
 Build-Profiles: <!nodoc>
