## extra-cmake-modules 5.98.0

=== debian/changelog ===
extra-cmake-modules (5.98.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Sep 2022 16:27:47 -0700

extra-cmake-modules (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Add patch to re-add Hurd as a supported platform. It was lost when
    upstream defined the concept of supported platforms but was
    previously building fine in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:32 +0200

extra-cmake-modules (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:24 +0200

extra-cmake-modules (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:53 +0200

extra-cmake-modules (5.94.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Drop patch to disable fatal warnings as the issue has been fixed in
    binutils.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Jun 2022 19:38:55 +0200

extra-cmake-modules (5.94.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add patch to disable fatal warnings as this makes many KDE fail to
    compile on MIPS.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 19:51:59 +0200

extra-cmake-modules (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:01 +0200

extra-cmake-modules (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:42 +0200

extra-cmake-modules (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Feb 2022 00:03:46 +0100
