=== debian/control ===
Source: extra-cmake-modules
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               dh-linktree,
               libjs-jquery,
               libjs-underscore,
               pkg-kde-tools (>= 0.15.16~),
               python3-distutils,
               python3-setuptools,
               python3-sphinx,
               qtdeclarative5-dev,
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Git: https://invent.kde.org/neon/kde/extra-cmake-modules.git
Vcs-Browser: https://invent.kde.org/neon/kde/extra-cmake-modules
Maintainer: Neon CI <neon@kde.org>

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qt5-default
Suggests: qt5-qmake, qtbase5-dev
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
Breaks: libkf5package-dev (<< 5.51),
        libkf5plasma-dev (<< 5.51),
        libkf5runner-dev (<< 5.51)
